<?php
/*
 Plugin Name: Add Sidebar
 Description: The plugins add sidebar to the theme.
 Version: 2.0.0
 Created: 07th June, 2014
 Author: Shrikant Dubey
 Author URI: http://www.suiits.com/sidebar-adder-2
 License: GPLv2 or later
 
	Copyright 2013 - 2014 Shrikant Dubey (email: shrikant.dubey at gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



*/

require_once "class-table.php";






add_action('admin_menu', 'my_plugin_menu');

  $table= new table();
$table->sidebar_register();
  

function my_plugin_menu() 

{
 
 include "stylesheet.php";
 add_options_page('Add Sidebar', 'Add Sidebar', 'manage_options', 'my-unique-identifier', 'my_plugin_options');

}


function my_plugin_options() 
{
		
		global $wpdb;
		
		$table= new table();
		if (!current_user_can('manage_options'))  
		{
			wp_die( __('You do not have sufficient permissions to access this page.') );
		}
		
		if( !isset($_POST['manage']) &&($_POST['add'] != 'Update'))
		{
			$class = 'active1';
			$class2='submit';
			
		}
		else
		{
			$class2='active1';
			$class = 'submit';
		}
		
		$type = "<div class='wrap'>";
		$type .= "<form method='post' action=''>";
		$type .= "<input type='submit' name='add' value='Add New' class='".$class."'/>";
		$type .= "<input type='submit' name='manage' value='Manage Sidebar' class='".$class2."'/>";
		$type .="</form>";		
		echo $type."<div class='sidebar-content'>";
		
		
		if(isset($_POST['submit'])&&$_POST['addition']=='Add New')
		{
			$table->insert();
			$class='submit';
		}
		elseif(isset($_POST['submit'])&&$_POST['addition']=='Update')
		{
			$id_del = $_POST['ide'];
			$table->update($id_del);
		}
		
		elseif(isset($_POST['delete'])&& $_REQUEST['delete']=='Delete')
		{
		
			 $id_del = $_POST['ide'];
			$table->delete($id_dle);
		}
	
		if($_POST['manage']=='Manage Sidebar'||!isset($_POST['add']))
		{
			$table->show_sidebar();
		}
		
			
		if($_REQUEST['add'])
		{
			$form = "<form name='form' action='' method='post'>";
			$form .= "<table>";
			$form .= "<input type='hidden' name='addition' value='".$_POST['add']."'/>";
			$form .= "<input type='hidden' name='ide' value='".$_POST['ide']."'/>";
			$form .= "<tr><td>Name:</td><td><input type='text' name='names' value='".$_REQUEST['nam']."'/></td></tr>";
			$form .= "<tr><td>Description : </td><td><input type='text' name='desc' value='".$_POST['desc2']."'/></td></tr>";
			$form .= "<tr><td>Before Title : </td><td><input type='text' name='b_title' value='".$_POST['btitle']."'/></td></tr>";
			$form .= "<tr><td>After Title : </td><td><input type='text' name='a_title' value='".$_POST['atitle']."'/></td></tr>";
			$form .= "<tr><td>Before Widget : </td><td><input type='text' name='b_widget' value='".$_POST['bwidget']."'/></td></tr>";
			$form .= "<tr><td>After Widget : </td><td><input type='text' name='a_widget' value='".$_POST['awidget']."'/></td></tr>";
			$form .= "<tr><td>&nbsp; </td><td><input type='submit' name='submit' value='".$_POST['add']."' class='submit'/></td></tr>";
			$form .= "</table>";
			$form .= "</form>";
			echo  "<p>".$_POST['add']." Sidebar <br/></p>";
			echo '<div class="first">'.$form.'</div>';
		}
		echo "</div></div>";
		
}


?>
